/**
 * Data model pour l'équipement
 */
export default class EquipementDataModel extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    return {
      equipe: new fields.BooleanField({ initial: false }),
      enc: new fields.NumberField({ initial: 0, integer: true }),
      valeur: new fields.NumberField({ initial: 0, integer: true }),
      quantite: new fields.NumberField({ initial: 0, integer: true }),
      description: new fields.HTMLField({ initial: "" })
    };
  }
}
